Bug 1017710 - 6 hour and 24 hour metrics expire too soon
6 hour and 24 hour metrics expire too soon
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server, Monitoring -- Other (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ER04
: JON 3.2.0
Assigned To: John Sanda
Mike Foley
:
Depends On: 1017707
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-10-10 07:22 EDT by John Sanda
Modified: 2014-01-02 15:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1017707
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storageTablesTTL (196.70 KB, image/png)
2013-11-11 05:07 EST, Armine Hovsepyan
no flags Details

  None (edit)
Description John Sanda 2013-10-10 07:22:00 EDT
+++ This bug was initially created as a clone of Bug #1017707 +++

Description of problem:
We use Cassandra's time to live (TTL) feature to let metric data age out automatically without having to explicitly delete it. Both 6 hour and 24 hour data are getting stored with the 1 hour data TTLs. Here are the prepared statements used to store the respective data,

insertSixHourData = storageSession.prepare("INSERT INTO " + MetricsTable.SIX_HOUR + "(schedule_id, time, " +
            "type, value) VALUES (?, ?, ?, ?) USING TTL " + configuration.getOneHourTTL());

insertTwentyFourHourData = storageSession.prepare("INSERT INTO " + MetricsTable.TWENTY_FOUR_HOUR + "(schedule_id, " +
            "time, type, value) VALUES (?, ?, ?, ?) USING TTL " + configuration.getOneHourTTL());


They are both using configuration.getOneHourTTL(), but it should be configuration.getSixHourTTL() and configuration.getTwentyFourHourTTL() respectively.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 John Sanda 2013-10-10 07:27:56 EDT
Fix pushed to release/jon3.2.x branch.

commit hash: 9eac4656276f
Comment 2 John Sanda 2013-10-10 09:35:26 EDT
Previous commit missed 6 hour ttl. I committed fix for this to release/jon3.2.x branch.

commit hash: 9a3eef65bb2ef6
Comment 3 Simeon Pinder 2013-10-24 00:09:38 EDT
Moving to ON_QA for testing in the next build.
Comment 4 Armine Hovsepyan 2013-11-11 05:07:37 EST
Created attachment 822339 [details]
storageTablesTTL
Comment 5 Armine Hovsepyan 2013-11-11 05:08:40 EST
corresponding changes are committed to jon3.2.x branch - see screen-shot attached
thank you

Note You need to log in before you can comment on or make changes to this bug.